-- F_ADSB
-- ソースオペランドの符号を判定して
-- FADD_SもしくはFSUB_Sに渡す

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity F_ADSB_1 is

	port(SRC1,SRC2  : in std_logic_vector(31 downto 0);
	     FUNC       : in std_logic_vector(3 downto 0);
	     MANT_buf2  : out std_logic_vector(26 downto 0);
        Neq        : out std_logic;
        W_exp      : out std_logic_vector(7 downto 0);
        FUNC2      : out std_logic;
        SRC1_1,SRC2_1  : out std_logic_vector(31 downto 0)
	);

end F_ADSB_1;

architecture STRUCTURE of F_ADSB_1 is

   component FSUB_S_1
	port(SRC1,SRC2 : in std_logic_vector(31 downto 0);
	     MANT_buf2 : out std_logic_vector(26 downto 0);
        Neq       : out std_logic;
        W_exp     : out std_logic_vector(7 downto 0)
             );
   end component;

begin -- STRUCTURER

        
   FSUB_S_1_1: FSUB_S_1 port map (SRC1,SRC2,MANT_buf2,Neq,W_exp);
   SRC1_1 <= SRC1;
   SRC2_1 <= SRC2;
   FUNC2 <= FUNC(0);

end STRUCTURE;
