-------------------
-- Mr.SRAM
-------------------

---- Description ----------------
-- entity MRSRAM
-- controller of signal for sram
---------------------------------

---- Notes -------------------------------------------
-- 2007.01.26
---- ςĂ͂ȂǁB
---- gbvx璲A
---- ̃t@CSRAMRg[ĂяôBďĂB
-- 2007.01.01
---- SRAMւ̋ANZXh~pB
---- IFDREXŴǂ̐MgB
---- SRAMRg[[MODE,ADDR݂̂ɐڑB
---- ͕ʂ̂ƂigbvxHjB
---- IFDR̃ANZX͏READ
------------------------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

entity MRSRAMS is
    port( SEL : in std_logic;   -- select signal IFDR->0,EXW->1
          IFDR_ADDR : in std_logic_vector(19 downto 0);
          EXW_MODE : in std_logic;
          EXW_ADDR : in std_logic_vector(19 downto 0);
          -- to&from SRAM controller
          MODE : out std_logic;
          ADDR : out std_logic_vector(19 downto 0));
end MRSRAMS;

architecture RTL of MRSRAMS is

    component SRAM
    end component;

begin
    MODE <= EXW_MODE when SEL = '1' else
            '1';
    ADDR <= EXW_ADDR when SEL = '1' else
            IFDR_ADDR;

end RTL;
